Alerts
Show one alert incident with its timeline
GET /v1/monitors/{id}/incidents/{incidentId} · SDK getAlertIncident · CLI deployments monitor incident
GET
Requires monitors:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$incidentId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$AlertIncidentResponse
application/json- response
environmentId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$kind*stringValue in
"run-failures""tool-failures""schedule-problems""approval-wait""webhook-endpoint-health""budget-threshold""operator-spend-exhausted""trace-error-rate""trace-latency"monitorId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$monitorName*stringopenedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeorganizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$resolution?stringValue in
"condition-cleared""monitor-archived""monitor-changed"resolvedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timestatus*stringValue in
"firing""resolved"summary*stringtimeline*array<>curl -X GET "https://example.com/v1/monitors/string/incidents/string" \ -H "x-deployments-organization: string"{ "environmentId": "string", "id": "string", "kind": "run-failures", "monitorId": "string", "monitorName": "string", "openedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "projectId": "string", "resolution": "condition-cleared", "resolvedAt": "2019-08-24T14:15:22Z", "status": "firing", "summary": "string", "timeline": [ { "at": "2019-08-24T14:15:22Z", "notified": true, "summary": "string", "type": "fired", "value": 0 } ]}